Package org.silverpeas.components.infoletter.model

## Class InfoLetterPublicationPdC

- java.lang.Object
- - org.silverpeas.core.persistence.jdbc.bean.SilverpeasBean
  - - org.silverpeas.components.infoletter.model.InfoLetterPublication
    - - org.silverpeas.components.infoletter.model.InfoLetterPublicationPdC

- All Implemented Interfaces:
    `Serializable`, `Comparable<InfoLetter>`, `org.silverpeas.core.contribution.contentcontainer.content.SilverContentInterface`, `org.silverpeas.core.contribution.model.Contribution`, `org.silverpeas.core.contribution.model.SilverpeasContent`, `org.silverpeas.core.Identifiable`, `org.silverpeas.core.Instance<org.silverpeas.core.contribution.model.Contribution>`, `org.silverpeas.core.Nameable`, `org.silverpeas.core.persistence.jdbc.bean.SilverpeasBeanIntf`, `org.silverpeas.core.security.Securable`, `org.silverpeas.core.SilverpeasResource`

      public class InfoLetterPublicationPdC
      extends InfoLetterPublication
      implements org.silverpeas.core.contribution.contentcontainer.content.SilverContentInterface

  Author:
    lbertin
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `TYPE` |

    - ### Fields inherited from class org.silverpeas.components.infoletter.model.InfoLetterPublication

      `PUBLICATION_EN_REDACTION, PUBLICATION_VALIDEE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InfoLetterPublicationPdC()` | Default constructor
    `InfoLetterPublicationPdC​(InfoLetterPublication ilp)` | Constructor from InfoLetterPublication

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` |
    `String` | `getContributionType()` |
    `String` | `getCreatorId()` |
    `String` | `getDate()` |
    `String` | `getDescription​(String language)` |
    `String` | `getIconUrl()` |
    `String` | `getId()` |
    `org.silverpeas.core.contribution.model.ContributionIdentifier` | `getIdentifier()` |
    `Collection<String>` | `getLanguages()` |
    `String` | `getName()` |
    `String` | `getName​(String language)` |
    `String` | `getPositions()` |
    `Optional<InfoLetterPath>` | `getResourcePath()` |
    `String` | `getSilverCreationDate()` |
    `String` | `getSilverpeasContentId()` |
    `String` | `getURL()` |
    `int` | `hashCode()` |
    `void` | `setPositions​(String positions)` |

    - ### Methods inherited from class org.silverpeas.components.infoletter.model.InfoLetterPublication

      `_getConnectionType, _getPermalink, _getTableName, _isValid, compareTo, deleteContent, getDescription, getInstanceId, getLetterId, getParutionDate, getPublicationState, getTitle, getWysiwygContent, initFrom, saveContent, setDescription, setInstanceId, setLetterId, setLetterId, setParutionDate, setPublicationState, setTitle`

    - ### Methods inherited from class org.silverpeas.core.persistence.jdbc.bean.SilverpeasBean

      `_getDatasourceName, _getJdbcData, getPK, getSureString, setPK`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.silverpeas.core.contribution.model.Contribution

      `canBeAccessedBy, getDescription, getModel, getTitle, isIndexable`

    - ### Methods inherited from interface org.silverpeas.core.Instance

      `getParent`

    - ### Methods inherited from interface org.silverpeas.core.security.Securable

      `canBeDeletedBy, canBeFiledInBy, canBeModifiedBy`

    - ### Methods inherited from interface org.silverpeas.core.contribution.contentcontainer.content.SilverContentInterface

      `getComponentInstanceId, getCreationDate, getCreator, getInstanceId, getLastUpdateDate, getLastUpdater`

- - ### Field Detail

    - #### TYPE

          public static final String TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### InfoLetterPublicationPdC

          public InfoLetterPublicationPdC()

      Default constructor

    - #### InfoLetterPublicationPdC

          public InfoLetterPublicationPdC​(InfoLetterPublication ilp)

      Constructor from InfoLetterPublication
      Parameters:
        `ilp` - InfoLetterPublication

  - ### Method Detail

    - #### getPositions

          public String getPositions()

      Returns:
        the positions

    - #### setPositions

          public void setPositions​(String positions)

      Parameters:
        `positions` - the positions to set

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `org.silverpeas.core.contribution.model.Contribution`
      Specified by:
        `getName` in interface `org.silverpeas.core.Nameable`
      Specified by:
        `getName` in interface `org.silverpeas.core.contribution.contentcontainer.content.SilverContentInterface`

    - #### getURL

          public String getURL()

      Specified by:
        `getURL` in interface `org.silverpeas.core.contribution.contentcontainer.content.SilverContentInterface`

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `org.silverpeas.core.Identifiable`
      Specified by:
        `getId` in interface `org.silverpeas.core.contribution.model.SilverpeasContent`

    - #### getDate

          public String getDate()

      Specified by:
        `getDate` in interface `org.silverpeas.core.contribution.contentcontainer.content.SilverContentInterface`

    - #### getCreatorId

          public String getCreatorId()

      Specified by:
        `getCreatorId` in interface `org.silverpeas.core.contribution.contentcontainer.content.SilverContentInterface`

    - #### getIconUrl

          public String getIconUrl()

      Specified by:
        `getIconUrl` in interface `org.silverpeas.core.contribution.contentcontainer.content.SilverContentInterface`

    - #### getSilverCreationDate

          public String getSilverCreationDate()

      Specified by:
        `getSilverCreationDate` in interface `org.silverpeas.core.contribution.contentcontainer.content.SilverContentInterface`

    - #### getDescription

          public String getDescription​(String language)

      Specified by:
        `getDescription` in interface `org.silverpeas.core.contribution.contentcontainer.content.SilverContentInterface`

    - #### getName

          public String getName​(String language)

      Specified by:
        `getName` in interface `org.silverpeas.core.contribution.contentcontainer.content.SilverContentInterface`

    - #### getLanguages

          public Collection<String> getLanguages()

      Specified by:
        `getLanguages` in interface `org.silverpeas.core.contribution.contentcontainer.content.SilverContentInterface`

    - #### getSilverpeasContentId

          public String getSilverpeasContentId()

      Specified by:
        `getSilverpeasContentId` in interface `org.silverpeas.core.contribution.model.SilverpeasContent`

    - #### getIdentifier

          public org.silverpeas.core.contribution.model.ContributionIdentifier getIdentifier()

      Specified by:
        `getIdentifier` in interface `org.silverpeas.core.contribution.model.Contribution`
      Specified by:
        `getIdentifier` in interface `org.silverpeas.core.contribution.model.SilverpeasContent`
      Specified by:
        `getIdentifier` in interface `org.silverpeas.core.SilverpeasResource`
      Overrides:
        `getIdentifier` in class `InfoLetterPublication`

    - #### getContributionType

          public String getContributionType()

      Specified by:
        `getContributionType` in interface `org.silverpeas.core.contribution.model.Contribution`

    - #### getResourcePath

          public Optional<InfoLetterPath> getResourcePath()

      Specified by:
        `getResourcePath` in interface `org.silverpeas.core.contribution.model.Contribution`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `InfoLetterPublication`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `InfoLetterPublication`